For the complete documentation index, see llms.txt. This page is also available as Markdown.

POST /UsersGroups/{usersGroupId}/Users

Add one or more users to the specified user group.

Adds users to a users group.

post
Authorizations
X-API-KEYstringRequired

Public API key used to identify the client application. It should be included in all requests.

Path parameters
usersGroupIdstring · uuidRequired

The users group ID.

Header parameters
X-API-SECRETstringRequired

API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.

Example: YOUR_API_SECRET
Body

Request model to add users to a users group

userIdsstring · uuid[]Required

List of the user ids being added to the users group.

triggeredByUserIdstring · uuidRequired

Identifier of the admin user that triggered the operation.

implicitlyApproveRequestsbooleanOptionalDeprecated

Obsolete: Will be removed, use 'Behaviour' field instead! (Old behavior: Flag that configures request creation behaviour. True = request are automatically approved. False = Normal requests are created.)

behaviourstring · enumOptionalPossible values:
Responses
201

Created

No content

post/api/v1/UsersGroups/{usersGroupId}/Users
POST /api/v1/UsersGroups/{usersGroupId}/Users HTTP/1.1
Host: open-api.getcakewalk.io
X-API-KEY: YOUR_API_KEY
X-API-SECRET: YOUR_API_SECRET
Content-Type: application/json
Accept: */*
Content-Length: 140

{
  "userIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "triggeredByUserId": "123e4567-e89b-12d3-a456-426614174000",
  "behaviour": "CreateRequests"
}

No content

Last updated

Was this helpful?